Skip to content

Keys endpoints

List Keys

Parameter In Type Required Notes
project_id path string (uuid) yes
Status Description Body
200 Successful Response application/json: array of ApiKeyOut
422 Validation Error application/json: HTTPValidationError

Create Key

Parameter In Type Required Notes
project_id path string (uuid) yes

Request body (application/json, required): ApiKeyCreateIn

Status Description Body
201 Successful Response application/json: ApiKeyCreatedOut
422 Validation Error application/json: HTTPValidationError

DELETE /api/v1/projects/{project_id}/keys/{key_id}

Section titled “DELETE /api/v1/projects/{project_id}/keys/{key_id}”

Revoke Key

Parameter In Type Required Notes
project_id path string (uuid) yes
key_id path string (uuid) yes
Status Description Body
204 Successful Response none
422 Validation Error application/json: HTTPValidationError